$TITLE creation of indata from simulation. SAINT CGE modeling system 1.01
*this program should be restarted from a saved simulation.
*It creates new indata from the output of a simulation.

 SAM(AC,ACP)        =   MICROSAM(AC,ACP);

 TMMAT(C,A)         =   TM.L(C,A)*QINT.L(C,A) +  FTM.L(C,A) ;
 TMMAT(C,H)         =   TM.L(C,H)*SUM(CGH, QH.L(H,C,CGH))  +  FTM.L(C,H) ;
 TMMAT(C,'GOV')     =   TM.L(C,'GOV')* QG.L(C) +  FTM.L(C,'GOV') ;
 TMMAT(C,'ROW')     =   TM.L(C,'ROW')* QE.L(C) +  FTM.L(C,'ROW') ;
 TMINV(C,A)         =   TMI.L(C,A)*SUM(FCAP, QINV.L(C,A,FCAP)) +  FTMINV.L(C,A) ;
 TMMAT(C,'S-I')     =   SUM(A,  TMINV(C,A));

 TQMAT(C,A)         =   tq(C,A) * QINT.L(C,A)  ;
 TQMAT(C,H)         =   tq(C,H) * SUM(CGH, QH.L(H,C,CGH))  ;
 TQMAT(C,'GOV')     =   tq(C,'GOV') * QG.L(C)  ;
 TQINV(C,A)         =   tqi(C,A)*SUM(FCAP, QINV.L(C,A,FCAP)) ;
 TQMAT(C,'S-I')     =   SUM(A,  TQINV(C,A));

 TVMAT(C,A)         =   tv(C,A) * (QINT.L(C,A)*PQ.L(C)+TQMAT(C,A)+TMMAT(C,A))  ;
 TVMAT(C,H)         =   tv(C,H) * (SUM(CGH, QH.L(H,C,CGH))*PQ.L(C)+TQMAT(C,H)+TMMAT(C,H))  ;
 TVMAT(C,'GOV')     =   tv(C,'GOV') * (QG.L(C)*PQ.L(C)+TQMAT(C,'GOV')+TMMAT(C,'GOV'))  ;
 TVINV(C,A)         =   tvi(C,A) * (SUM(FCAP, QINV.L(C,A,FCAP))*PQ.L(C)+TQINV(C,A)+TMINV(C,A));
 TVMAT(C,'S-I')     =   SUM(A,  TVINV(C,A));

 BINVMAT(C,A)       =   SUM(FCAP, capdef(C,FCAP)*QINV.L(C,A,FCAP) * PQ.L(C)) ;

Option  SAM:3:1:1,  TMMAT:3:1:1, TQMAT:3:1:1, TVMAT:3:1:1
 BINVMAT:3:1:1, TQINV:3:1:1, TMINV:3:1:1, TVINV:3:1:1 ;
Display "NEW DATA", SAM,  TMMAT, TQMAT, TVMAT, BINVMAT, TQINV, TMINV, TVINV ;

$libinclude xldump SAM NEWDATA.XLS SAM!
$libinclude xldump TMMAT NEWDATA.XLS TMMAT!
$libinclude xldump TQMAT NEWDATA.XLS TQMAT!
$libinclude xldump TVMAT NEWDATA.XLS TVMAT!
$libinclude xldump BINVMAT NEWDATA.XLS BINVMAT!
$libinclude xldump TQINV NEWDATA.XLS TQINV!
$libinclude xldump TMINV NEWDATA.XLS TMINV!
$libinclude xldump TVINV NEWDATA.XLS TVINV!