$TITLE Results in excel, static simulations. SAINT CGE modeling system 1.01

*calculation of disposable wages
Parameter
 DWFX(F,SIM)       disposable wage
 DWFXP(F,SIM)      percentage change of disposable wage
 DWFAX(F,A,SIM)    activity specific disposable wage
 DWFAXP(F,A,SIM)   activity specific percentage change of disposable wage
 YFINXLP(A,SIM)    financial return less value of permits
 YFINXLPP(A,SIM)   percentage change of financial return less value of permits
 YFINMX(SIM)       aggregated financial income
 YFINMXP(SIM)      percentage change of aggregated financial income

 ;
 DWFX(FLAB,SIMCUR)      =  WFX(FLAB,SIMCUR)* (1-TFLABX(FLAB,SIMCUR));
 DWFX(FCAP,SIMCUR)      =  WFX(FCAP,SIMCUR)* (1-TFINX(SIMCUR));
 DWFX(FLAND,SIMCUR)     =  WFX(FLAND,SIMCUR)* (1-TFINX(SIMCUR));
 DWFXP(FLAB,SIMCUR)$DWFX(FLAB,'BASE')   =
                            100*(DWFX(FLAB,SIMCUR)/DWFX(FLAB,'BASE') - 1);
 DWFXP(FCAP,SIMCUR)$DWFX(FCAP,'BASE')   =
                            100*(DWFX(FCAP,SIMCUR)/DWFX(FCAP,'BASE') - 1);
 DWFXP(FLAND,SIMCUR)$DWFX(FLAND,'BASE')   =
                            100*(DWFX(FLAND,SIMCUR)/DWFX(FLAND,'BASE') - 1);
 DWFAX(FLAB,A,SIMCUR)     =  WFAX(FLAB,A,SIMCUR)* (1-TFLABX(FLAB,SIMCUR));
 DWFAX(FCAP,A,SIMCUR)     =  WFAX(FCAP,A,SIMCUR)* (1-TFINX(SIMCUR));
 DWFAX(FLAND,A,SIMCUR)    =  WFAX(FLAND,A,SIMCUR)* (1-TFINX(SIMCUR));
 DWFAXP(FLAB,A,SIMCUR)$DWFAX(FLAB,A,'BASE')   =
                            100*(DWFAX(FLAB,A,SIMCUR)/DWFAX(FLAB,A,'BASE') - 1);
 DWFAXP(FCAP,A,SIMCUR)$DWFAX(FCAP,A,'BASE')   =
                            100*(DWFAX(FCAP,A,SIMCUR)/DWFAX(FCAP,A,'BASE') - 1);
 DWFAXP(FLAND,A,SIMCUR)$DWFAX(FLAND,A,'BASE')   =
                            100*(DWFAX(FLAND,A,SIMCUR)/DWFAX(FLAND,A,'BASE') - 1);


 YFINXLP(A,SIMCUR)  =  YFINX(A,SIMCUR) - QpermitX(A,SIMCUR)* PpermitX(SIMCUR);

 YFINXLPP(A,SIMCUR)$YFINXLP(A,'BASE')   =
                            100*(YFINXLP(A,SIMCUR)/YFINXLP(A,'BASE') - 1);

 YFINMX(SIMCUR)    = SUM(A, YFINX(A,SIMCUR))  ;
 YFINMXP(SIMCUR)$YFINMX('BASE')   =
                            100*(YFINMX(SIMCUR)/YFINMX('BASE') - 1);


*Put a star in front of the reports you don't want

$libinclude xldump TRADELAS REPORTS.XLS tradeelas!

$libinclude xldump EVXP REPORTS.XLS EVXP!
$libinclude xldump EVX REPORTS.XLS EVX!
$libinclude xldump QFXP REPORTS.XLS QFXP!
$libinclude xldump QFX REPORTS.XLS QFX!
$libinclude xldump elasfile REPORTS.XLS elasfile!
$libinclude xldump margprice REPORTS.XLS margprice!
$libinclude xldump indatafile REPORTS.XLS indatafile!
$libinclude xldump prodelas REPORTS.XLS prodelas!
$libinclude xldump SOLVEREP REPORTS.XLS SOLVEREP!

$libinclude xldump GDPGAP REPORTS.XLS GDPGAP!
$libinclude xldump IMVARP REPORTS.XLS IMVARP!
$libinclude xldump IMVAR REPORTS.XLS IMVAR!
$libinclude xldump GOVBUDP REPORTS.XLS GOVBUDP!
$libinclude xldump GOVBUD REPORTS.XLS GOVBUD!
$libinclude xldump EXPIMP REPORTS.XLS EXPIMP!
$libinclude xldump EXPIM REPORTS.XLS EXPIM!
*$libinclude xldump GDPTAB2P REPORTS.XLS GDPTAB2P!
*$libinclude xldump GDPTAB2 REPORTS.XLS GDPTAB2!
*$libinclude xldump DWFAXP REPORTS.XLS DWFAXP!
*$libinclude xldump DWFAX REPORTS.XLS DWFAX!
*$libinclude xldump DWFXP REPORTS.XLS DWFXP!
*$libinclude xldump DWFX REPORTS.XLS DWFX!
*$libinclude xldump WFAXP REPORTS.XLS WFAXP!
*$libinclude xldump WFAX REPORTS.XLS WFAX!
*$libinclude xldump WFXP REPORTS.XLS WFXP!
*$libinclude xldump WFX REPORTS.XLS WFX!
*$libinclude xldump YFINXP REPORTS.XLS YFINXP!
*$libinclude xldump YFINX REPORTS.XLS YFINFX!

$libinclude xldump GDPTAB1P REPORTS.XLS GDPTAB1P!
$libinclude xldump GDPTAB1 REPORTS.XLS GDPTAB1!
$libinclude xldump REPBALCH REPORTS.XLS REPBALCH!
$libinclude xldump FACCLOS REPORTS.XLS FACCLOS!
$libinclude xldump MACCLOS REPORTS.XLS MACCLOS!
$libinclude xldump REPSAMP REPORTS.XLS REPSAMP!
$libinclude xldump REPSAM REPORTS.XLS REPSAM!


*$libinclude xldump TVXP REPORTS.XLS TVP!
*$libinclude xldump TVX REPORTS.XLS TV!
*$libinclude xldump TFLABXP REPORTS.XLS TFLABP!
*$libinclude xldump TFLABX REPORTS.XLS TFLAB!
*$libinclude xldump TFINXP REPORTS.XLS TFINP!
*$libinclude xldump TFINX REPORTS.XLS TFIN!
*$libinclude xldump TQXP REPORTS.XLS TQP!



$libinclude xldump TQX REPORTS.XLS TQ!
$libinclude xldump TVX REPORTS.XLS TV!

SET

rad1
 /
GNICPI
GDPCPI
GDPGDP
CONCPI
CONEV
EXCRTE
FSAV
NETEXPPERM
NETEXPPERMP   percentage change
 /

rad2
 /
RW
DRW
LTAX
CAPRET
 /

rad3
 /
PERMITP
ELPEXP
ELPIMP
CAPRETINC40
QA10
QA21
QA24
QA401
QA403

 /
 ;
parameters

macrotab(rad1,sim)
wagetab(rad2,sim)
pqtab(rad3,sim)
 ;


macrotab('GNICPI',simcur) =  GDPTAB1P('nominal','GNI',simcur)    ;
macrotab('GDPCPI',simcur) =  GDPTAB1P('nominal','GDPMP',simcur)  ;
macrotab('GDPGDP',simcur) =  GDPTAB1P('real','GDPMP',simcur)     ;
macrotab('CONCPI',simcur) =  GDPTAB1P('nominal','PRVCON',simcur) ;
macrotab('CONEV',simcur)  =  EVXP('H1',simcur)                   ;
macrotab('EXCRTE',simcur) =  IMVARP('EXCHRATE',simcur)           ;
macrotab('NETEXPPERM',simcur)$ppermitx(simcur)
            =  -NETPERMITX(simcur) / ppermitx(simcur) ;
macrotab('NETEXPPERMP',simcurnb)$macrotab('NETEXPPERM','base')
            = 100* (macrotab('NETEXPPERM',simcurnb)
              / macrotab('NETEXPPERM','base')-1) ;
macrotab('FSAV',simcur)   =  IMVARP('FOSAV',simcur)               ;




wagetab('RW',simcur)         =  WFXP('LAB',simcur)       ;
wagetab('DRW',simcur)        =  DWFXP('LAB',simcur)      ;
wagetab('LTAX',simcur)       =  TFLABXP('LAB',simcur)     ;
wagetab('CAPRET',simcur)     =  YFINMXP(simcur)    ;




*$libinclude xldump macrotab REPORTS.XLS macrotab!
*$libinclude xldump wagetab REPORTS.XLS wagetab!

